> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# kbworkflow

> MDO list provider for KB Workflow.

## "kbworkflow" MDO List

MDO list provider for KB Workflow.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.KbWorkflowProvider">KbWorkflowProvider</see> class.
The name of the MDO list is 'kbworkflow'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/kbworkflow
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("kbworkflow", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo            |
| -- | ----------- | --------- | -------------------- |
| -1 | Unpublished |           | previous=-1\&next=-2 |
| -2 | Published   |           | previous=-1\&next=-2 |
| -3 | Expired     |           | previous=-2\&next=-3 |

## Related MDO Lists

* "kbworkflowheadings"
* "kbworkflowheadingswithallitem"
* "kbworkflowheadingswithallitemwithnoselection"
* "kbworkflowheadingswithnoselection"
* "kbworkflowwithallitem"
* "kbworkflowwithallitemwithnoselection"
* "kbworkflowwithnoselection"


## Related topics

- [kb_workflow table](/en/database/tables/kb-workflow.md)
- [kb_workflow_access table](/en/database/tables/kb-workflow-access.md)
- [role_workflow table](/en/database/tables/role-workflow.md)
- [kb_entry table](/en/database/tables/kb-entry.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
